org.apache.xmlbeans.impl.xb.xsdschema

## Interface Keybase

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Subinterfaces:
  KeyrefDocument.Keyref

All Known Implementing Classes:
  KeybaseImpl, KeyrefDocumentImpl.KeyrefImpl

    public interface Keybase
    extends Annotated

An XML keybase(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<Keybase>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`FieldDocument.Field` `addNewField()` Appends and returns a new empty value (as xml) as the last "field" element
`SelectorDocument.Selector` `addNewSelector()` Appends and returns a new empty "selector" element
`FieldDocument.Field[]` `getFieldArray()` Gets array of all "field" elements
`FieldDocument.Field` `getFieldArray(int i)` Gets ith "field" element
`List<FieldDocument.Field>` `getFieldList()` Gets a List of "field" elements
`String` `getName()` Gets the "name" attribute
`SelectorDocument.Selector` `getSelector()` Gets the "selector" element
`FieldDocument.Field` `insertNewField(int i)` Inserts and returns a new empty value (as xml) as the ith "field" element
`void` `removeField(int i)` Removes the ith "field" element
`void` `setFieldArray(FieldDocument.Field[] fieldArray)` Sets array of all "field" element
`void` `setFieldArray(int i, FieldDocument.Field field)` Sets ith "field" element
`void` `setName(String name)` Sets the "name" attribute
`void` `setSelector(SelectorDocument.Selector selector)` Sets the "selector" element
`int` `sizeOfFieldArray()` Returns number of "field" element
`XmlNCName` `xgetName()` Gets (as xml) the "name" attribute
`void` `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<Keybase> Factory

#### type

    static final SchemaType type

### Method Detail

#### getSelector

    SelectorDocument.Selector getSelector()

Gets the "selector" element

#### setSelector

    void setSelector(SelectorDocument.Selector selector)

Sets the "selector" element

#### addNewSelector

    SelectorDocument.Selector addNewSelector()

Appends and returns a new empty "selector" element

#### getFieldList

    List<FieldDocument.Field> getFieldList()

Gets a List of "field" elements

#### getFieldArray

    FieldDocument.Field[] getFieldArray()

Gets array of all "field" elements

#### getFieldArray

    FieldDocument.Field getFieldArray(int i)

Gets ith "field" element

#### sizeOfFieldArray

    int sizeOfFieldArray()

Returns number of "field" element

#### setFieldArray

    void setFieldArray(FieldDocument.Field[] fieldArray)

Sets array of all "field" element

#### setFieldArray

    void setFieldArray(int i,
                       FieldDocument.Field field)

Sets ith "field" element

#### insertNewField

    FieldDocument.Field insertNewField(int i)

Inserts and returns a new empty value (as xml) as the ith "field" element

#### addNewField

    FieldDocument.Field addNewField()

Appends and returns a new empty value (as xml) as the last "field" element

#### removeField

    void removeField(int i)

Removes the ith "field" element

#### getName

    String getName()

Gets the "name" attribute

#### xgetName

    XmlNCName xgetName()

Gets (as xml) the "name" attribute

#### setName

    void setName(String name)

Sets the "name" attribute

#### xsetName

    void xsetName(XmlNCName name)

Sets (as xml) the "name" attribute